# Quick Start

## Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

If you don't have an API Key, please contact <info@blockfence.io> to get your key.

## Make your first request

To make your first request, send an authenticated request to our `analyze` endpoint. The response will be the aggregated risk assessment.

{% openapi src="/files/9jUo9KOhcguYKYSgu2Gp" path="/analyze" method="post" %}
[blockfence\_api.yaml](https://2527049560-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0LcHw7Zj8Z1xfOm1wN80%2Fuploads%2Fzq2EPNT4wKVeMJsRbZmK%2Fblockfence_api.yaml?alt=media\&token=f764fa6d-3c05-4832-a759-0454e07aecbf)
{% endopenapi %}

Usage Example:

{% tabs %}
{% tab title="Request" %}

```json
{
    "chain_id": "0x1",
    "blockchain_address": "0x953de0fee9e7b8056dd802b2e9ba0c8e540c68b8",
    "url": "https://sudosswapq.space/"
}
```

{% endtab %}

{% tab title="Response" %}

```json5
{
    "severity": "HIGH",
    "is_contract": true,
    "bf_web_analysis": [
        {
            "name": "URL Phishing Check",
            "findings": [
                {
                    "description": "This URL was flagged with the following Threat: Phishing!\nProceed with caution!"
                }
            ],
            "severity": "HIGH"
        },
        {
            "name": "URL Similarity Verification",
            "findings": [
                {
                    "description": "  • looks like swap.hiveswap.io",
                    "label": "CONTAINED_STRING"
                }
            ],
            "severity": "LOW"
        }
    ],
    "bf_blockchain_analysis": [
        {
            "name": "Blockfence Smart Contract Analysis",
            "findings": [
                {
                    "description": "Blockfence analysis identified this address as a possible Malicious scam!",
                    "label": "Malicious"
                }
            ],
            "severity": "HIGH"
        },
        {
            "name": "Source Code Verification",
            "findings": [
                {
                    "description": "Verified by Etherscan"
                }
            ],
            "severity": "NONE"
        }
    ],
    "partners_analysis": [
        {
            "name": "GoPlus Labs",
            "findings": [
                {
                    "description": "We found the following risks on GoPlus Labs:"
                },
                {
                    "description": "  • This address has implemented phishing activities.",
                    "label": "phishing_activities"
                },
                {
                    "description": "  • This address has implemented stealing attack.",
                    "label": "stealing_attack"
                }
            ],
            "severity": "HIGH"
        },
        {
            "name": "DappRadar",
            "findings": [
                {
                    "description": "This address is not listed by DappRadar\nProceed with caution!",
                    "label": "DAPPRADAR_NOT_VERIFIED"
                }
            ],
            "severity": "LOW"
        },
        {
            "name": "Forta Network",
            "findings": [
                {
                    "description": "A gang of friendly bots at Forta scanned the address and found no alerts on Forta Network"
                }
            ],
            "severity": "NONE"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.blockfence.io/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
